Bug 727790 - [abrt] (null): SELinux is preventing /usr/libexec/colord from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.
Summary: [abrt] (null): SELinux is preventing /usr/libexec/colord from 'ioctl' accesse...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:949963700b01d6efc5348b5e295...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 09:03 UTC by Mads Kiilerich
Modified: 2011-11-23 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-23 14:37:35 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-03 09:03:06 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.0-1.fc16.i686.PAE
reason:         SELinux is preventing /usr/libexec/colord from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.
time:           Wed Aug  3 11:02:54 2011

description:
:SELinux is preventing /usr/libexec/colord from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that colord should be allowed ioctl access on the unix_stream_socket unix_stream_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep colord /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:init_t:s0
:Target Objects                unix_stream_socket [ unix_stream_socket ]
:Source                        colord
:Source Path                   /usr/libexec/colord
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           colord-0.1.10-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-9.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.0.0-1.fc16.i686.PAE #1 SMP Fri Jul
:                              22 16:07:54 UTC 2011 i686 i686
:Alert Count                   1
:First Seen                    Wed 03 Aug 2011 11:01:58 AM CEST
:Last Seen                     Wed 03 Aug 2011 11:01:58 AM CEST
:Local ID                      1f7d3c49-b20b-49f0-85c0-e1d9bb7cd83b
:
:Raw Audit Messages
:type=AVC msg=audit(1312362118.832:65): avc:  denied  { ioctl } for  pid=1545 comm="colord" path="socket:[14990]" dev=sockfs ino=14990 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket
:
:
:type=SYSCALL msg=audit(1312362118.832:65): arch=i386 syscall=ioctl success=no exit=ENOTTY a0=1 a1=5401 a2=bff93c88 a3=bff93cd4 items=0 ppid=1543 pid=1545 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)
:
:Hash: colord,colord_t,init_t,unix_stream_socket,ioctl
:
:audit2allow
:
:#============= colord_t ==============
:allow colord_t init_t:unix_stream_socket ioctl;
:
:audit2allow -R
:
:#============= colord_t ==============
:allow colord_t init_t:unix_stream_socket ioctl;
:

Comment 1 Daniel Walsh 2011-11-23 14:37:35 UTC
yum -y update


Note You need to log in before you can comment on or make changes to this bug.